<template>
  <div class="full-height">
    <a :href="entry.linkTo" v-if="entry.imageId">
      <b-card
        text-variant="white"
        class="hovercard"
        border-variant="secondary"
        no-body
      >
        <b-card-img-lazy
          :src="imageUrl"
          :alt="entry.title[$i18n.locale]"
          top
          class="card-img-overlay"
        ></b-card-img-lazy>

        <b-card-body>
          <div class="card-body-content">
            <b-card-text class="font-large">
              {{ entry.title[$i18n.locale] }}
              <font-awesome-icon
                :icon="['fas', 'comment-alt']"
                class="ml-2"
              ></font-awesome-icon>
            </b-card-text>
          </div>
        </b-card-body>
      </b-card>
    </a>
    <b-card
      v-else-if="entry.youtube"
      text-variant="white"
      class="hovercard"
      no-body
      border-variant="secondary"
    >
      <vue-plyr>
        <div
          :data-plyr-embed-id="entry.youtube"
          data-plyr-provider="youtube"
        ></div>
      </vue-plyr>
    </b-card>
    <div v-else>data error</div>
  </div>
</template>

<script>
export default {
  props: {
    entry: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    imageUrl() {
      return (
        process.env.baseURL +
        '/media/image/' +
        this.entry.imageId +
        '?maxWidth=512'
      );
    },
  },
};
</script>
